Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-20460

Have Lander handle \citeds in abstract

    Details

    • Templates:
    • Story Points:
      0.7
    • Team:
      SQuaRE

      Description

      In DMTR-141, the abstract is

      This brief report describes measurements of interest that were carried out for release v18.0.0 of the Science Pipeline.
      The report for the previous version can be found in \citeds{DMTR-131}.
      

       

      While parsing the abstract for the landing page, I get this build error:

      Traceback (most recent call last):
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 298, in substitute_macro
          return self.macros[name]
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/utils.py", line 161, in __getitem__
          return self._dict[key.lower()]
      KeyError: 'march'
      During handling of the above exception, another exception occurred:
      Traceback (most recent call last):
        File "/home/[secure]/virtualenv/python3.5.6/bin/lander", line 11, in <module>
          sys.exit(main())
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lander/main.py", line 185, in main
          config = Configuration(args=args)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lander/config.py", line 96, in __init__
          self['abstract_html'] = self.lsstdoc.html_abstract
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lsstprojectmeta/tex/lsstdoc.py", line 144, in html_abstract
          mathjax=False, smart=True)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lsstprojectmeta/tex/lsstdoc.py", line 379, in format_abstract
          abstract_latex = self._prep_snippet_for_pandoc(self.abstract)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lsstprojectmeta/tex/lsstdoc.py", line 582, in _prep_snippet_for_pandoc
          replace_cite = CitationLinker(self.bib_db)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lsstprojectmeta/tex/lsstdoc.py", line 251, in bib_db
          self._load_bib_db()
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lsstprojectmeta/tex/lsstdoc.py", line 629, in _load_bib_db
          db = get_bibliography(bibtex=custom_bibtex)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/lsstprojectmeta/tex/lsstbib.py", line 166, in get_bibliography
          pybtex_data.append(pybtex.database.parse_string(bibtex, 'bibtex'))
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/__init__.py", line 873, in parse_string
          return parser.parse_string(value)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 397, in parse_string
          for entry in entry_iterator:
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 195, in parse_bibliography
          self.handle_error(error)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 383, in handle_error
          report_error(error)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/errors.py", line 78, in report_error
          raise exception
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 193, in parse_bibliography
          yield tuple(self.parse_command())
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 226, in parse_command
          self.handle_error(error)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 383, in handle_error
          report_error(error)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/errors.py", line 78, in report_error
          raise exception
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 223, in parse_command
          parse_body(body_end)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 242, in parse_entry_body
          self.parse_entry_fields()
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 250, in parse_entry_fields
          self.parse_field()
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 263, in parse_field
          self.parse_value()
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 274, in parse_value
          value_parts.append(self.parse_value_part())
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 290, in parse_value_part
          value_part = self.substitute_macro(token.value)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 301, in substitute_macro
          self.handle_error(UndefinedMacro(name, self))
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/database/input/bibtex.py", line 383, in handle_error
          report_error(error)
        File "/home/[secure]/virtualenv/python3.5.6/lib/python3.5/site-packages/pybtex/errors.py", line 78, in report_error
          raise exception
      pybtex.database.input.bibtex.UndefinedMacro: undefined string in line 6: March
      Done. Your build exited with 0.
      

      Either the entire }}{{\citeds macro needs to be preprocessed before it gets processed by pandoc, or there's legitimitly a bad macro in lsst-texmf.

        Attachments

          Activity

            People

            • Assignee:
              jsick Jonathan Sick
              Reporter:
              jsick Jonathan Sick
              Watchers:
              Jonathan Sick
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Summary Panel